diff --git a/web/pgadmin/tools/backup/templates/backup/js/backup.js b/web/pgadmin/tools/backup/templates/backup/js/backup.js
index ea2dbb3..a13a31c 100644
--- a/web/pgadmin/tools/backup/templates/backup/js/backup.js
+++ b/web/pgadmin/tools/backup/templates/backup/js/backup.js
@@ -387,7 +387,8 @@ TODO LIST FOR BACKUP:
           preference_name = 'pg_bin_dir',
           msg = '{{ _('Please configure the PostgreSQL Binary Path in the Preferences dialog.') }}';
 
-        if (server_data.server_type == 'ppas') {
+        if ((server_data.type && server_data.type == 'ppas') ||
+            server_data.server_type == 'ppas') {
           preference_name = 'ppas_bin_dir';
           msg = '{{ _('Please configure the EDB Advanced Server Binary Path in the Preferences dialog.') }}';
         }
@@ -602,7 +603,8 @@ TODO LIST FOR BACKUP:
           preference_name = 'pg_bin_dir',
           msg = '{{ _('Please set binary path for PostgreSQL Server from preferences.') }}';
 
-        if (server_data.server_type == 'ppas') {
+        if ((server_data.type && server_data.type == 'ppas') ||
+            server_data.server_type == 'ppas') {
           preference_name = 'ppas_bin_dir';
           msg = '{{ _('Please set binary path for EDB Advanced Server from preferences.') }}';
         }
diff --git a/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js b/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
index 5c1d01b..f564a0e 100644
--- a/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
+++ b/web/pgadmin/tools/import_export/templates/import_export/js/import_export.js
@@ -324,7 +324,8 @@ define(
           preference_name = 'pg_bin_dir',
           msg = '{{ _('Please configure the PostgreSQL Binary Path in the Preferences dialog.') }}';
 
-        if (server_data.server_type == 'ppas') {
+        if ((server_data.type && server_data.type == 'ppas') ||
+            server_data.server_type == 'ppas') {
           preference_name = 'ppas_bin_dir';
           msg = '{{ _('Please configure the EDB Advanced Server Binary Path in the Preferences dialog.') }}';
         }
diff --git a/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js b/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js
index cd2c6d2..7a856b6 100644
--- a/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/templates/maintenance/js/maintenance.js
@@ -213,7 +213,8 @@ define(
           preference_name = 'pg_bin_dir',
           msg = '{{ _('Please configure the PostgreSQL Binary Path in the Preferences dialog.') }}';
 
-        if (server_data.server_type == 'ppas') {
+        if ((server_data.type && server_data.type == 'ppas') ||
+            server_data.server_type == 'ppas') {
           preference_name = 'ppas_bin_dir';
           msg = '{{ _('Please configure the EDB Advanced Server Binary Path in the Preferences dialog.') }}';
         }
diff --git a/web/pgadmin/tools/restore/templates/restore/js/restore.js b/web/pgadmin/tools/restore/templates/restore/js/restore.js
index d82a9b3..2bc35e8 100644
--- a/web/pgadmin/tools/restore/templates/restore/js/restore.js
+++ b/web/pgadmin/tools/restore/templates/restore/js/restore.js
@@ -313,7 +313,8 @@ define([
           preference_name = 'pg_bin_dir',
           msg = '{{ _('Please configure the PostgreSQL Binary Path in the Preferences dialog.') }}';
 
-        if (server_data.server_type == 'ppas') {
+        if ((server_data.type && server_data.type == 'ppas') ||
+            server_data.server_type == 'ppas') {
           preference_name = 'ppas_bin_dir';
           msg = '{{ _('Please configure the EDB Advanced Server Binary Path in the Preferences dialog.') }}';
         }
